#____________________________________________________________________________________
#
#    PersistentThreads (see README.txt for more information)
#    Copyright (C) 2002 Christoph Becker-Freyseng
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
#    christoph@mmc-startup.com
#    http://www.beyond-thoughts.com
#    http://www.mmc-startup.com
#____________________________________________________________________________________
#


__doc__="""PersistentThreads product initialization"""
__version__='0.1.1'

try:  # Do the whole Product-Init in a try, so nothing can go wrong



    from PConstants import product_id
    import PPManager
    from PersistentProcessor import PersistentProcessor
    import PTTools
    import StandardPPs
    
        
    
    
    import os
    
    import sys
    sys.stderr.write('PersistentThreads for Zope\n')
    
    
    def initialize(contextP):
	if str(product_id)!=str(contextP._ProductContext__prod.id):
	    sys.stderr.write('PersistentThreads are not properly configured. See README.txt and PConstants.py .\n')
	    raise 'PersistentThreads are not properly configured. See README.txt and PConstants.py .'
	contextP.registerHelp()
	contextP.registerHelpTitle('PersistentThreads')
	
	PTTools.initPermissions()
	
	PPManager.PPManager(contextP._ProductContext__prod)  # Initialize PPManager(s)
	
	try:
	    import PThreadTool
	    PThreadTool.initPThreadTool(contextP._ProductContext__prod)
	except:
	    import sys, traceback
	    traceback.print_exc(file=sys.stderr)
	
    


except:
    import sys, traceback
    traceback.print_exc(file=sys.stderr)






