#____________________________________________________________________________________
#
#    PersistentThreads (see README.txt for more information)
#    Copyright (C) 2002 Christoph Becker-Freyseng
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
#    christoph@mmc-startup.com
#    http://www.beyond-thoughts.com
#    http://www.mmc-startup.com
#____________________________________________________________________________________
#


__doc__="""PPManipulator is the baseclass for all Objects that want to modify a 
	    PersistentProcessor."""
__version__='0.1.1'







class PPManipulator:	# not Persistent !!!!, I'm not sure about Acquisition (would it cause a crash/unstability, too?)
    def __init__(self):
	self._completed= 0
    
    def manipulate(self, ppP, REQUEST=None):
	""" This method manipulates the pp, if no exception is raised 
	it is assumed that manipulation was succesful. The return-value is ignored """
	pass	# Nothing to do
    
    


